import { SystemStyleObject } from "@chakra-ui/vue-system";
import { Dict, runIfFn } from "@chakra-ui/utils";
export interface StyleConfig {
    baseStyle?: SystemStyleObject;
    sizes?: {
        [size: string]: SystemStyleObject;
    };
    variants?: {
        [variant: string]: SystemStyleObject;
    };
    defaultProps?: {
        size?: string;
        variant?: string;
        colorScheme?: string;
    };
}
export interface MultiStyleConfig {
    baseStyle?: {
        [part: string]: SystemStyleObject;
    };
    sizes?: {
        [size: string]: {
            [part: string]: SystemStyleObject;
        };
    };
    variants?: {
        [variants: string]: {
            [part: string]: SystemStyleObject;
        };
    };
    defaultProps?: StyleConfig["defaultProps"];
}
export interface GlobalStyleProps {
    colorScheme: string;
    colorMode: "light" | "dark";
    theme: Dict;
}
export declare type GlobalStyles = {
    global?: SystemStyleObject | ((props: GlobalStyleProps) => SystemStyleObject);
};
export { runIfFn };
export declare type Styles = GlobalStyles;
export declare function mode(light: any, dark: any): (props: Dict) => any;
export declare function orient(options: {
    orientation?: "vertical" | "horizontal";
    vertical: any;
    horizontal: any;
}): any;
